@import 'variables.css';

.right-details {
	float: right;
	padding: 15px 40px;
}

/* Modal */

.qr-code {
	padding: 0;
	width: 100%;
	margin: 10px 0;
}

.modal {
	display: none;
	z-index: 1;
	background-color: var(--purple-dark-transparent-75);
}

.modal-content {
	position: relative;
	padding: 50px 25px;
	border-radius: 24px;
	box-shadow: 0 2px 30px 0 rgba(30, 30, 30, 0.15);
	background: white;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	color: black;
	text-align: center;
	max-width: 700px;
	max-height: 70vh;
	width: 700px;
}

.modal-content h3 {
	color: var(--purple-basic);
	margin-top: 0;
}

.modal-content input {
	width: 75%;
	margin-bottom: 15px;
}

.modal-content .icons {
	margin-bottom: 10px;
}

.modal-content .icons span {
	color: var(--purple-basic);
}

.modal-content .icons span:hover,
.modal-content .icons span:focus {
	color: var(--purple-dark);
	cursor: pointer;
}

.modal-content .close {
	position: absolute;
	top: 20px;
	right: 20px;
	color: var(--purple-basic);
	font-size: 28px;
	font-weight: bold;
}

.modal-content .close:hover,
.modal-content .close:focus {
	color: var(--purple-dark);
	text-decoration: none;
	cursor: pointer;
}

.modal-content button {
	border: none;
	border-radius: 6px;
	padding: 12px;
	background: var(--purple-basic);
	box-shadow: 0 2px 5px 0 var(--purple-dark-transparent-35);
	color: white;
	font-size: 18px;
	font-weight: 700;
	line-height: 22px;
	cursor: pointer;
	transition: background-color ease-in-out 0.1s;
}

.modal-content button:not([disabled]):hover,
.modal-content button:not([disabled]):active {
	background: var(--purple-dark);
	color: white;
	box-shadow: 0 2px 5px 0 var(--purple-dark-transparent-50);
}

.modal-content .productModalContent {
	text-align: left;
}

.modal-content .productModalContent .price {
	float: right;
}

/* Expandable Description */

.slicedDescription {
	display: -webkit-box;
	-webkit-line-clamp: 3;
	-webkit-box-orient: vertical;
	overflow: hidden;
}

.slicedDescription.true {
	-webkit-mask-image: none;
	mask-image: none;
}

.expandableDescription .noSlice {
	-webkit-mask-image: none;
	mask-image: none;
}

.expandableDescription .sliced {
	-webkit-mask-image: linear-gradient(to bottom, black 0%, transparent 80%);
	mask-image: linear-gradient(to bottom, black 0%, transparent 80%);
}

.detailLink a::before {
	transition: transform ease-in-out 0.2s;
}

.detailLink a span {
	display: inline-block;
	transition: transform ease-in-out 0.2s;
}
.detailLink a span {
	-ms-transform: translate(0);
	transform: translate(0);
}

.detailLink a span:hover {
	-ms-transform: translate(2px);
	transform: translate(2px);
}

.productGroup .expandableDescription.expanded .detailLink a::before {
	-ms-transform: rotate(-90deg);
	transform: rotate(-90deg);
}

.productGroup .product .slicedDescription::after {
	display: none;
}

/* Extra Buttons */

.btns {
	float: left;
}

.button-fullwidth {
	width: 100%;
	display: inline-grid;
}

.mainButtons {
	margin-bottom: 15px;
}

button > .uvForward {
	color: white;
}

.right-buttons {
	display: flex;
	padding: 0 1rem;
	float: right;
}

.right-buttons > button {
	font-weight: 400;
	font-size: 18px;
	margin-left: 10px;
}

/* Profile form */
.profileFormContainer {
	box-sizing: border-box;
	background: #f2f2f2;
	padding-bottom: 50px;
	min-height: 100vh;
}

.profilePageWrapper {
	background: var(--purple-dark);
	padding-top: 50px;
	padding-bottom: 160px;
	margin-bottom: -110px;
}

.profileForm {
	width: 75%;
	margin: auto;
}

.savedProfiles {
	padding-top: 30px;
	padding-bottom: 30px;
	margin-left: 260px;
	margin-right: 260px;
}

.savedProfilesGrid {
	margin-top: 25px;
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	grid-gap: 20px 40px;
}

.savedProfile {
	display: block;
	padding: 15px;
	align-items: center;
	border: 2px solid transparent;
	border-radius: 6px;
	box-shadow: 0 2px 5px 0 rgba(25, 25, 25, 0.3);
	background: white;
	cursor: pointer;
	transition: border-color ease-in-out 0.1s, background-color ease-in-out 0.1s;
}

.savedProfile > *:first-child {
	flex-grow: 1;
}

.savedProfile:hover {
	border-color: var(--orange-basic);
	box-shadow: 0 2px 5px 0 var(--orange-basic-transparent-35);
}

.savedProfile label {
	font-weight: 500;
}

.profileFieldsCol4 {
	display: grid;
	width: 90%;
	grid-template-columns: 1fr 1fr 1fr 0.75fr;
	justify-content: flex-start;
	align-items: flex-end;
	grid-gap: 20px;
	margin-top: 20px;
}

.profileFieldsCol4 label {
	display: block;
	margin-bottom: 3px;
	font-weight: 500;
}
.profileFieldsCol4 input {
	width: 100%;
	box-sizing: border-box;
}
.profileFieldsCol4 button {
	width: 100%;
	font-size: small;
	height: 60%;
	padding: 0;
}

.profileForm input.error {
	border-color: red;
}

/* ProfileField Validation Message */

.profileFields .profileField :nth-child(2) span {
	color: red;
	font-weight: bolder;
	font-size: 0.8rem;
}

/* Product listing */

.inlineInput {
	margin-bottom: 5px;
}

.questionnaireSummary {
	background: var(--purple-basic);
	padding-top: 30px;
	padding-bottom: 40px;
}

.questionnaireSummary h2 {
	font-size: 46px;
	text-align: left;
	margin: 0 auto;
}

.profileSummary {
	padding: 30px;
	background: white;
	border-radius: 10px;
	box-shadow: 0 2px 30px 0 rgba(30, 30, 30, 0.15);
}

.profileSummary > *:first-child {
	margin-top: 0;
}
.profileSummary > *:last-child {
	margin-bottom: 0;
}
.profileSummary li {
	margin: 8px 0;
}

.themeSummary {
	padding: 30px;
	background: var(--purple-dark);
	border-radius: 10px;
	box-shadow: 0 2px 30px 0 rgba(30, 30, 30, 0.15);
}

.themeSummary > *:first-child {
	margin-top: 0;
}
.themeSummary > *:last-child {
	margin-bottom: 0;
}
.themeSummary li {
	margin: 8px 0;
}

.themeCard {
	background: white;
	padding: 10px 20px;
	margin-bottom: 3px;
	border-radius: 5px;
	box-shadow: 0 2px 30px 0 rgba(30, 30, 30, 0.15);
	width: 50%;
}

.answerSummary {
	padding: 30px;
	background: var(--purple-dark);
	border-radius: 10px;
}

.answerSummary > *:first-child {
	margin-top: 0;
}
.answerSummary > *:last-child {
	margin-bottom: 0;
}

.answerSummary ul {
	list-style: none;
	padding: 0;
}

.answerSummary li {
	display: flex;
	padding: 10px 20px;
	margin: 3px 0;
	background: white;
	border-radius: 5px;
}

.answerSummary li span {
	flex-grow: 1;
}

.resultsContainer {
	padding-top: 40px;
	padding-bottom: 50px;
}
.resultsContainer .uvBack {
	margin-bottom: 20px;
}

.filters ul {
	margin: 0;
	padding: 0;
	list-style: none;
}

.infoBox {
	background: #f2f2f2;
	border-radius: 4px;
	margin-bottom: 20px;
}

.infoBox p {
	padding: 1rem 1.5rem 1.5rem;
	margin-top: 0;
}

.left-title {
	margin: 0;
}

.priceFilter-title:hover {
	cursor: pointer;
}

.productGroup {
	padding: 1rem;
	margin-top: 2rem;
	background: #ffffff;
	position: relative;
}
.productGroup .side {
	max-width: 250px;
}

.productGroup .side i {
	font-size: 9rem;
	color: #6b0f3e;
}

.productGroup > .main {
	flex-grow: 1;
}

.productGroup .description h2,
.productGroup .description h3 {
	font-size: 20px;
	margin-bottom: 0.25rem;
}

.productGroup .categoryWrapper {
	min-height: 150px;
	padding: 40px;
}

.productGroup .category {
	margin: 0 0 3px;
}

.productGroup .price {
	font-weight: 900;
	font-size: 32px;
	display: flex;
	float: right;
	/*justify-content: flex-end;*/
}

.productGroup .price .priceUnknown {
	font-weight: bolder;
	word-wrap: anywhere;
}

.productGroup h2 {
	margin: 0;
	font-size: 26px;
}
.productGroup .rating {
	margin-top: 0px;
	color: #e8b835;
	font-size: 18px;
}

.productGroup .featuresWrapper {
	background: #f2f2f2;
	border-top-left-radius: 10px;
	border-bottom-left-radius: 10px;
	margin-right: -40px;
}

.productGroup .features {
	list-style: none;
}

.detailLink a {
	color: black;
	text-decoration: none;
	font-weight: 500;
	cursor: pointer;
}

.productGroup .features li {
	margin: 8px 0;
}
.productGroup .proMark {
	color: #1d6834;
}

.productGroup .proMark,
.productGroup .conMark {
	display: inline-block;
	width: 1.5em;
	font-size: larger;
	font-weight: 900;
	text-align: center;
}

.toggleProducts {
	list-style: none;
	padding: 0;
}
.toggleProducts::-webkit-details-marker {
	display: none;
}
.toggleProducts:focus {
	outline: none;
}

.toggleProducts span {
	display: inline-block;
	height: 40px;
	padding: 10px 25px 0;
	border-radius: 10px 10px 0 0;
	background: var(--purple-basic);
	color: white;
	font-weight: 500;
	cursor: pointer;
	transition: background ease-in-out 0.1s;
}

.toggleFilters {
	list-style: none;
}
.toggleFilters::-webkit-details-marker {
	display: none;
}
.toggleFilters:focus {
	outline: none;
}

.toggleFilters span {
	display: inline-block;
	height: 35px;
	padding: 5px 25px 0px;
	border-radius: 10px 10px 0 0;
	background: var(--purple-basic);
	color: white;
	font-weight: 500;
	cursor: pointer;
	transition: background ease-in-out 0.1s;
}

.productGroupWrapper {
	margin-bottom: 3rem;
}

.productGroupWrapper.expanded .toggleProducts span {
	background: #f2f2f2;
	color: black;
}

.toggleProducts span:hover {
	color: white;
}
.productGroupWrapper.expanded .toggleProducts span:hover {
	background: #ddd;
}

.products {
	background: #f2f2f2;
	border-radius: 0 0 4px 4px;
}

.product {
	background: white;
	box-shadow: 0 0 30px #ddd;
	padding: 20px;
	margin: 0 auto;
	text-align: left;
	position: relative;
}

.productDefault {
	background: white;
	border-radius: 10px;
	box-shadow: 0030px #ddd;
	padding: 20px;
	text-align: center;
}

.product h4 {
	font-weight: 900;
	font-size: 17px;
}
.product .description {
	margin: 4px 0 12px;
}

.product .description iframe {
	width: 250px;
}

.product .card {
	display: block;
	border: none;
}

.product .price {
	font-size: 23px;
	font-weight: 900;
	float: left;
}

.product .productImageBox {
	display: flex;
	justify-content: center;
	position: relative;
	margin: 0;
}

.product .picture {
	overflow: hidden;
	display: flex;
	justify-content: center;
	height: 250px;
	width: 100%;
}

.product .picture i {
	font-size: 150px;
	color: #6b0f3e;
}

.product .defaultProductCategory {
	background: #ffffff;
}

.product .productContent {
	height: 100%;
	display: flex;
	justify-content: space-between;
	flex-direction: column;
}

/* Questionnaire */

.questionnaireContainer {
	box-sizing: border-box;
	min-height: 100vh;
	padding-bottom: 50px;
	background: #f2f2f2;
}

.metaWrapper {
	background: var(--purple-dark);
	padding-bottom: 220px;
	margin-bottom: -220px;
}

.metaWrapper > div > div {
	padding: 40px 40px 20px;
}

.metaWrapper > div > div > *:first-child {
	margin-top: 0;
}
.metaWrapper > div > div > *:last-child {
	margin-bottom: 0;
}

.formWrapper form {
	padding: 40px;
	border-radius: 24px;
	box-shadow: 0 2px 30px 0 rgba(30, 30, 30, 0.15);
	background: white;
}

.formWrapper form > *:first-child {
	margin-top: 0;
}
.formWrapper form > *:last-child {
	margin-bottom: 0;
}

.formWrapper .buttons {
	margin-top: 20px;
	text-align: right;
}
.formWrapper .buttons .back {
	float: left;
}

.answerPicker {
	margin-top: 20px;
	padding: 0;
}

.answerPicker .description {
	width: 90%;
}

.answerPicker .title {
	width: 90%;
}

.answerPicker li {
	display: block;
	padding: 15px;
	align-items: center;
	border: 2px solid transparent;
	border-radius: 6px;
	box-shadow: 0 2px 5px 0 rgba(25, 25, 25, 0.3);
	background: #f2f2f2;
	cursor: pointer;
	transition: border-color ease-in-out 0.1s, background-color ease-in-out 0.1s;
	position: relative;
}

.answerPicker li > *:first-child {
	flex-grow: 1;
}
.answerPicker li + li {
	margin-top: 20px;
}

.answerPicker li:hover {
	border-color: var(--orange-basic);
	box-shadow: 0 2px 5px 0 var(--orange-basic-transparent-35);
}

.answerPicker li.selected {
	border-color: var(--orange-basic);
	background: var(--orange-light);
	box-shadow: none;
}

.answerPicker label {
	cursor: pointer;
}
.answerPicker input[type='checkbox'] {
	float: right;
	margin-top: 5px;
}

.answerPicker button,
.answerPicker button:hover {
	padding: 0;
	color: var(--orange-basic);
	background: transparent;
	border: none;
	box-shadow: none;
	font-size: 24px;
	position: absolute;
	right: 32px;
	top: 50%;
	transform: translateY(-50%);
}

.trashBtn {
	/* margin-top: 180px; */
	color: rgb(192, 192, 192);
	float: right;
	overflow: hidden;
	height: 22px;
}

.trashBtn:hover {
	cursor: pointer;
}

.appContainer,
.headerContainer {
	max-width: var(--App-max-width);
	margin: auto;
}

/*Overlay*/

.overlayIconCenter {
	position: fixed;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
}

.print-only {
	display: none;
}

.slicedDescription {
	display: -webkit-box;
	-webkit-line-clamp: 3;
	-webkit-box-orient: vertical;
	overflow: hidden;
	-webkit-mask-image: linear-gradient(to bottom, black 50%, transparent 90%);
	mask-image: linear-gradient(to bottom, black 50%, transparent 90%);
}

.slicedDescription.true {
	-webkit-mask-image: none;
	mask-image: none;
}

.description h2 {
	font-size: 1.3rem;
}

.btnDeleteWishlist button {
	box-shadow: none;
}
.btnDeleteWishlist button:not([disabled]):hover,
.btnDeleteWishlist button:not([disabled]):active {
	background: none;
	box-shadow: none;
	color: var(--orange-dark);
}

.btnSnackbar {
	padding: 20px;
}

.adviceCard {
	background: var(--purple-basic);
}

.collapseAdvice {
	-webkit-box-shadow: 0px -9px 20px -5px rgba(5, 3, 2, 0.15);
	-moz-box-shadow: 0px -9px 20px -5px rgba(5, 3, 2, 0.15);
	box-shadow: 0px -9px 20px -5px rgba(5, 3, 2, 0.15);
}

.savedProfile .actionDelete { float: right; }
.savedProfile .actionDelete .deleteIcon:hover {
	color: var(--orange-basic);
}

@media only screen and (max-width: 959.98px) {
	.toggleProducts {
		display: flex;
		justify-content: center;
		/* margin-left: 0 !important; */
	}
}

@media only screen and (max-width: 576px) {
	h1 {
		font-size: 32px;
	}
	h2 {
		font-size: 24px;
	}

	.printAdviceBtn {
		display: none;
	}

	.modal-content {
		width: 100%;
	}

	.infoBox {
		padding: 0;
	}

	.productGroup h2 {
		font-size: 22px;
	}

	.productGroup .category {
		font-size: 0.9rem;
	}

	.productGroup .description {
		margin-top: 10px;
	}

	.productGroup .description h2,
	.productGroup .description h3 {
		font-size: 18px;
	}

	.productGroup .priceWrap {
		position: relative;
	}

	.productGroup .priceWrap .price {
		font-size: 25px;
		position: absolute;
		top: 0;
		right: 0;
	}

	.detailLink .uvForward span {
		font-size: 0.9rem;
	}

	.productGroup .side i {
		width: 100%;
	}

	.btns {
		width: 100%;
	}

	.btns .wishlist {
		width: inherit;
	}

	.imagePlaceholder {
		margin: 0 auto;
	}

	.uvNegative .prevHeaderButton {
		background: none;
		box-shadow: none;
		color: white;
	}

	.right-buttons {
		justify-content: center;
		float: none;
	}

	.right-buttons a {
		margin-right: 1rem;
	}

	.right-buttons button:last-child {
		margin-right: 0 !important;
	}

	.right-buttons > * > * {
		font-size: 16px;
	}

	.themeCard {
		width: 100%;
	}
}
